org.apache.hc.client5.http.entity

## Class GzipDecompressingEntity

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntityWrapper
  - - org.apache.hc.client5.http.entity.DecompressingEntity
    - - org.apache.hc.client5.http.entity.GzipDecompressingEntity

All Implemented Interfaces:
  Closeable, AutoCloseable, EntityDetails, HttpEntity

    public class GzipDecompressingEntity
    extends DecompressingEntity

`HttpEntityWrapper` for handling gzip Content Coded responses.

Since:
  4.1

### Constructor Summary

Constructors
Constructor and Description
`GzipDecompressingEntity(HttpEntity entity)` Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.entity.DecompressingEntity

`getContent, getContentEncoding, getContentLength, writeTo`

### Methods inherited from class org.apache.hc.core5.http.io.entity.HttpEntityWrapper

`close, getContentType, getTrailerNames, getTrailers, isChunked, isRepeatable, isStreaming, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GzipDecompressingEntity

    public GzipDecompressingEntity(HttpEntity entity)

Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.

Parameters:
  `entity` - the non-null `HttpEntity` to be wrapped